Next Previous Contents

## 3.52 em_load_driver

> Function

>   Load and initialize an extended memory driver.

> Header

>   `em.h`

> Declaration

>   `void __fastcall__ em_load_driver (const char* name);`

> Description

>   Load an extended memory driver into memory and initialize it. The function returns an error code that tells if all this has been successful.

> Limits

>   - Not all drivers are able to detect if the supported hardware is really present.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - The driver is loaded by name, so currently you must know the type of extended memory that should be supported. There is no autodetect capability.
> Availability

>   cc65

> See also

>   em_unload

> Example

>   None.

Next Previous Contents